Contournement d’un Bug Open Sankoré sur Ubuntu

Préambule

La dernière version d’Open Sankoré avait été compilée pour Ubuntu 12.04 et fonctionnait correctement. Malheureusement, sur les distributions plus récentes, le logiciel plantait dès lors qu’on souhaitait importer ou exporter des documents, ce qui le rendait difficilement utilisable.

Il semble que le dysfonctionnement ne venait par d’Open Sankoré en lui même mais plutôt de l’utilisation de la bibliothèque QT pour le module d’exploration de fichiers.

Sources

Les éléments que vous trouverez ci-dessous sont une synthèse des éléments de réponses apportés sur le forum Ubuntu-fr.

Une solution peut être apportée facilement et rendre le logiciel de nouveau pleinement fonctionnel. Ceci a été testé sur Ubuntu Bionic 18.04.3 LTS.

Marche à suivre

  • Ouvrir un terminal (CTRL+ALT T ou par le menu des applications).
  • Éditez le script de lancement du logiciel en mode administrateur (super utilisateur). En fonction de votre distribution, il faudra adapter l’éditeur de texte et remplacer mousepad par gedit, kate, leafpad… :

sudo mousepad /usr/local/Open-Sankore-2.5.1/run.sh

  • Ajoutez export QT_ACCESSIBILITY=0 au début du script (juste avant env LD_LIBRARY_PATH…).
  • Enregistrez le fichier.
  • Quittez l’éditeur de texte.

Le chemin pour accéder au script sera peut-être à adapter en fonction de votre distribution.

Bonne utilisation.

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *